# Guitar
A Cross-Platform String Library Written in Swift.

## Project Status

This project is a WIP. The following is what must be implemented before the project is, at a minimum, ready for the public:
- [x] Carthage Support
- [ ] CocoaPods Support
- [x] Function Documentation
- [ ] GitHub <-> CI (Travis or Circle)
- [ ] HTML String Manipulation Support
- [ ] Jazzy Docs
- [ ] Swift Package Manager
- [ ] SwiftLint Integration
- [ ] Tests

## Functionality
- **Boolean Operations**
  - isAlpha()
  - isAlphanumeric()
  - isCapitalized()
  - isDecapitalized()
  - isLowercased()
  - isNumeric()
  - isUppercased()
- **Case Operations**
  - camelCased()
  - decapitalized()
  - kebabCased()
  - pascalCased()
  - slug()
  - snakeCased()
  - swapCased()
- **Character Operations**
 - first()
 - last()
- **Padding Operations**
 - padLeft()
 - padRight()
- **Trimming Operations**
 - prefixed()
 - suffixed()
 - trimLeft()
 - trimRight()

## Inspiration
This project was inspired by [Voca](https://vocajs.com/).

## Created and maintained by
[Arthur Ariel Sabintsev](http://www.sabintsev.com/)
